#!/bin/sh

APP_VERSION=`parhandclient get Netrexcamstreamer.Version - RAW | tr -d '[:space:]'`
CAMERA_FW=`parhandclient get Properties.Firmware.Version - RAW | tr -d '[:space:]'`
CAMERA_MODEL=`parhandclient get Brand.ProdNbr - RAW | tr -d '[:space:]'`
CAMERA_SERIAL=`parhandclient get Properties.System.SerialNumber - RAW | tr -d '[:space:]'`
LICENSE_CODE=`parhandclient get Netrexcamstreamer.LicenseCode - RAW | tr -d '[:space:]'`


echo "Content-Type: text/json"
echo ""
echo "{\"app_version\":\"$APP_VERSION\",\"camera_firmware\":\"$CAMERA_FW\",\"camera_model\":\"$CAMERA_MODEL\",\"camera_serial\":\"$CAMERA_SERIAL\",\"licensecode\":\"$LICENSE_CODE\"}"
