#!/bin/sh

VIDEO_SOURCE_NUMBER=`echo "$QUERY_STRING" | sed -n 's/^.*video_source=\([^&]*\).*$/\1/p'`

MAX_FPS_OUTPUT="dbus-send --system --dest=com.axis.ImageControl --print-reply /com/axis/ImageControl/$VIDEO_SOURCE_NUMBER/0 org.freedesktop.DBus.Properties.Get string:com.axis.ImageControl string:SensorMaxFramerate"

dbus_resp=$($MAX_FPS_OUTPUT 2>/dev/null)

max_fps=${dbus_resp#*int32 }

#strip whitespace
max_fps=${max_fps##*( )}

#convert to fps (some axis magic)
max_fps=$(((max_fps+60)/1000))

echo "Content-Type: text/plain"
echo ""
echo "$max_fps"
