#!/bin/sh
echo -e "Content-type: text/json\r\n\r\n"
umask 000

if [ "$REQUEST_METHOD" = "HEAD" ]; then
  exit
fi

if [ -f /var/run/camstreamer_status ]; then
  is_streaming=`sh /var/run/camstreamer_status`
else
  is_streaming=0
fi

timestamp=`date "+%s"`

net_stats=`cat /proc/net/dev | grep -v lo | grep -v face | grep -v Inter |tr -s ' ' | cut -d' ' -f3,11 | sort | tail -n 1`

ENABLED=`parhandclient get Netrexcamstreamer.Enabled - RAW | tr -d '[:space:]'`

echo "{\"timestamp\": $timestamp, \"is_streaming\": $is_streaming, \"net_stats\": \"$net_stats\", \"enabled\": \"$ENABLED\"}"

exit
